summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorArthur Zamarin <arthurzam@gentoo.org>2022-05-27 21:42:26 +0300
committerArthur Zamarin <arthurzam@gentoo.org>2022-05-27 21:42:26 +0300
commit5c13ebc5e503dac815d4be878c100740af7f7acd (patch)
tree238dd94fff5fbdba6440ea8673038ee066ffc587
parentdev-python/python-cstruct: enable py3.11 (diff)
downloadgentoo-5c13ebc5e503dac815d4be878c100740af7f7acd.tar.gz
gentoo-5c13ebc5e503dac815d4be878c100740af7f7acd.tar.bz2
gentoo-5c13ebc5e503dac815d4be878c100740af7f7acd.zip
dev-python/python-daemon: EAPI=8, PEP517
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
-rw-r--r--dev-python/python-daemon/python-daemon-2.3.0-r2.ebuild43
1 files changed, 43 insertions, 0 deletions
diff --git a/dev-python/python-daemon/python-daemon-2.3.0-r2.ebuild b/dev-python/python-daemon/python-daemon-2.3.0-r2.ebuild
new file mode 100644
index 00000000000..e474e92e732
--- /dev/null
+++ b/dev-python/python-daemon/python-daemon-2.3.0-r2.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Library to implement a well-behaved Unix daemon process"
+HOMEPAGE="https://pypi.org/project/python-daemon/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+
+RDEPEND="
+ dev-python/lockfile[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ dev-python/docutils[${PYTHON_USEDEP}]
+ dev-python/twine[${PYTHON_USEDEP}]
+ test? (
+ dev-python/testtools[${PYTHON_USEDEP}]
+ dev-python/testscenarios[${PYTHON_USEDEP}]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-py3.10.patch"
+)
+
+distutils_enable_tests unittest
+
+src_prepare() {
+ # fix for >=testtools-2.5.0
+ sed -e 's/testtools.helpers.safe_hasattr/hasattr/' \
+ -i test/test_metadata.py || die
+ distutils-r1_src_prepare
+}